Add Distributions to Batch

Last updated Mar 5th, 2026

post api.withmono.com/v3/payments/disburse/disbursements/{batch_id}/distributions
v1.0

This endpoint allows for adding distributions to an existing batch.

Path Params
Body Params
Headers

Request

1234567891011121314151617
curl --request POST \
  --url https://api.withmono.com/v3/payments/disburse/disbursements/{{BATCH_ID}}/distributions \
  --header 'accept: application/json' \
  --header 'content-type: application/json' \
  --header 'mono-sec-key: <YOUR_SECRET_KEY>' \
  --data '{
    "distribution": [
        {
            "account_number": "9876543210",
            "bank_code": "058",
            "recipient_email": "payments@acmetech.com",
            "amount": 50000,
            "narration": "vendor settlement",
            "reference": "vendor_settlement_002"
        }
    ]
}'

Response

Choose an option from the drop down or click one of these buttons to see an example:

Did this page help you?